"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tmpdir = void 0;
const os_1 = require("os");
/**
 * Gets the temporary directory, either from the environmental variable
 * `PUPPETEER_TMP_DIR` or the `os.tmpdir`.
 *
 * @returns The temporary directory path.
 *
 * @internal
 */
const tmpdir = () => {
    return process.env['PUPPETEER_TMP_DIR'] || (0, os_1.tmpdir)();
};
exports.tmpdir = tmpdir;
//# sourceMappingURL=util.js.map